<?php
/*
  Plugin Name: shortcodes pierre
  Description: Plugin fournissant des shortcodes
  Author: Pierre Réguer
  Version: 1.0.0
 */
 
 
 
 
 //Shortcode pour afficher une liste d'articles sous forme de vignettes
 function pierre_liste_articles( $atts, $content = null ) {

	//récupère les paramètres
	$atts = shortcode_atts(
	array(
		'post_type' => 'post',
		'limite' => 'limite',
		'cat' => 'cat',
		'tag_id' => 'tag_id'
		
	), $atts);
	//transforme les paramètres en variables
	extract($atts);
	

	//on définit ce qu'on veut
	$args =  array(
		'post_status' => 'publish',
		'post_type' => $post_type,
		'cat' => $cat,
		'tag_id' => $tag_id,
		'posts_per_page' => $limite,
		'orderby' => 'date',
		'order' => 'DESC',
	);
	
	
	//on exécute la query	
	$my_query = new WP_Query($args);

	//on lance la boucle
	
	ob_start();	
	
      if($my_query->have_posts()) : while ($my_query->have_posts() ) : $my_query->the_post();

				get_template_part( 'content', 'vignette' );

			endwhile;
			endif;


// 4. On réinitialise à la requête principale (important)
            wp_reset_postdata();
            

            
            echo '<p style="clear: both">&nbsp;</p>';

	return ob_get_clean();



}
add_shortcode( 'pierre_liste_articles_shortcode','pierre_liste_articles');